path: /build/build/traefik-www-servers-3.1.2.package.tar.zst
dependencies: []
compilespec:
  steps:
  - |
    PACKAGE_VERSION=${PACKAGE_VERSION%\+*} && \
    mkdir -p /${PACKAGE_NAME}/usr/bin && \
    TRAEFIK_ARCH=amd64 && \
    curl -L https://github.com/traefik/traefik/releases/download/v${PACKAGE_VERSION}/traefik_v${PACKAGE_VERSION}_linux_${TRAEFIK_ARCH}.tar.gz \
    -o traefik.tar.gz && \
    tar xvzf traefik.tar.gz && \
    mv traefik /${PACKAGE_NAME}/usr/bin/ && \
    chmod +x /${PACKAGE_NAME}/usr/bin/${PACKAGE_NAME}
  env: []
  prelude:
  - anise i -y --sync-repos make ca-certificates git tar && anise cleanup --purge-repos
    && mkdir /tmp
  image: macaronios/terragon-testing-minimal:latest-amd64
  seed: macaronios/terragon-testing-minimal:latest-amd64
  package:
    name: traefik
    version: 3.1.2
    category: www-servers
    description: The Cloud Native Application Proxy
    uri:
    - https://github.com/traefik/traefik
    license: MIT
    buildtimestamp: 2024-08-18 17:12:44.256994672 +0000 UTC m=+302.164088816
    labels:
      github.owner: traefik
      github.repo: traefik
    treedir: ./packages
  package_dir: /traefik
  retrieve: []
  unpack: false
  includes: []
  excludes: []
  build_options:
    pushimagerepository: luet/cache
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - {}
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 54492ce4752759c5de7a3334fc895eb7596148af35a348d388aec9a7f7a2d4ac
compressiontype: zstd
files:
- usr/bin/traefik
package_cacheimage: ""
runtime:
  name: traefik
  version: 3.1.2
  category: www-servers
  description: The Cloud Native Application Proxy
  uri:
  - https://github.com/traefik/traefik
  license: MIT
  labels:
    github.owner: traefik
    github.repo: traefik
